
#region Header

/************************************************************************************************
Plugin name: SnapTurnValveVR 

Write by cjyhot

Version 1.0 2024-03-09

************************************************************************************************/

#endregion


namespace CjyhotHelper
{
    public class SnapTurnValveVR : MVRScript
    {
        private SuperController sc = SuperController.singleton;

        private void Update()
        {
            VROperation();
        }

        private void VROperation()
        {
            if (sc.GetLeftHoldGrab())
            {
                sc.SelectModeFreeMove();
            }
            if (sc.GetRightSelect())
            {
                var axis = sc.GetFreeNavigateVector(sc.freeModeMoveAction);
                if (axis.z > 0.6f)
                {
                    sc.navigationRig.transform.Rotate(0, 45, 0);
                }
                if (axis.z < -0.6f)
                {
                    sc.navigationRig.transform.Rotate(0, -45, 0);
                }
            }
        }
    }
}